# Uses of Interface
org.eclipse.jface.text.IRegion

Packages that use IRegion
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.internal
org.eclipse.debug.ui.console
Provides a set of interfaces and classes for rendering and annotating text in the debug console.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.formatter
Provides a content formatter add-on for an `ITextViewer`.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.text.information
Provides an information provider add-on for an `ITextViewer`.
org.eclipse.jface.text.link
Application programming interfaces for interaction with the Eclipse text editor's linked position support.
org.eclipse.jface.text.presentation
Provides a presentation reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.projection
This package provides an implementation of projection documents.
org.eclipse.jface.text.reconciler
Provides a reconciler add-on for an `ITextViewer`.
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.
org.eclipse.jface.text.source
Provides a framework for connecting document regions with annotations and for displaying those.
org.eclipse.jface.text.source.projection
This package provides the UI part for projection documents of which the most important part is the projection viewer.
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.
org.eclipse.ltk.ui.refactoring
Application programming interface to implement a wizard based user interface for refactorings.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.text.edits
Provides support for describing and applying textual document editions.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.

## Uses of IRegion in org.eclipse.compare

Methods in org.eclipse.compare that return IRegion
Modifier and Type
Method
Description
`IRegion[]`
ICompareFilter.`getFilteredRegions(HashMap lineComparison)`
Identifies the regions of a line of text in a comparison that should be ignored for comparison purposes.

## Uses of IRegion in org.eclipse.compare.internal

Constructors in org.eclipse.compare.internal with parameters of type IRegion
Modifier
Constructor
Description
``
`DocLineComparator(IDocument document, IRegion region, boolean ignoreWhiteSpace)`
Creates a `DocLineComparator` for the given document range.
``
`DocLineComparator(IDocument document, IRegion region, boolean ignoreWhiteSpace, ICompareFilter[] compareFilters, char contributor, Optional<IIgnoreWhitespaceContributor> ignoreWhitespaceContributor)`
Creates a `DocLineComparator` for the given document range.

## Uses of IRegion in org.eclipse.debug.ui.console

Methods in org.eclipse.debug.ui.console that return IRegion
Modifier and Type
Method
Description
`IRegion`
IConsole.`getRegion(IConsoleHyperlink link)`
Deprecated.
replaced with getRegion(IHyperlink link) instead
`IRegion`
IConsole.`getRegion(IHyperlink link)`
Returns the region of text associated with the given hyperlink, or `null` if the given hyperlink is not contained in this console.
Methods in org.eclipse.debug.ui.console with parameters of type IRegion
Modifier and Type
Method
Description
`void`
IConsoleLineTracker.`lineAppended(IRegion line)`
Notification that a line of text has been appended to the console.

## Uses of IRegion in org.eclipse.jface.text

Subinterfaces of IRegion in org.eclipse.jface.text
Modifier and Type
Interface
Description
`interface`
`ITypedRegion`
Describes a region of an indexed text store such as a document or a string.
Classes in org.eclipse.jface.text that implement IRegion
Modifier and Type
Class
Description
`class`
`Region`
The default implementation of the `IRegion` interface.
`class`
`TypedRegion`
Default implementation of `ITypedRegion`.
Methods in org.eclipse.jface.text that return IRegion
Modifier and Type
Method
Description
`protected IRegion`
TextViewer.`_internalGetVisibleRegion()`
Returns the visible region if it is not equal to the whole document.
`IRegion`
IDocumentPartitionerExtension.`documentChanged2(DocumentEvent event)`
The document has been changed.
`protected IRegion`
TextViewer.`event2ModelRange(VerifyEvent event)`
Translates the widget region of the given verify event into the corresponding region of the viewer's document.
`IRegion`
FindReplaceDocumentAdapter.`find(int startOffset, String findString, boolean forwardSearch, boolean caseSensitive, boolean wholeWord, boolean regExSearch)`
Returns the location of a given string in this adapter's document based on a set of search criteria.
`protected IRegion`
DefaultTextDoubleClickStrategy.`findExtendedDoubleClickSelection(IDocument document, int offset)`
Tries to find a suitable double click selection for the given offset.
`protected IRegion`
DefaultTextDoubleClickStrategy.`findWord(IDocument document, int offset)`
Tries to find the word at the given offset.
`IRegion`
DocumentPartitioningChangedEvent.`getChangedRegion(String partitioning)`
Returns the changed region of the given partitioning or `null` if the given partitioning did not change.
`IRegion`
DocumentPartitioningChangedEvent.`getCoverage()`
Returns the coverage of this event.
`IRegion`
IDocumentInformationMapping.`getCoverage()`
Returns the minimal region of the original document that completely comprises all of the image document or `null` if there is no such region.
`IRegion`
TextPresentation.`getCoverage()`
Returns the coverage of this presentation as clipped by the presentation's result window.
`IRegion[]`
ITextViewerExtension5.`getCoveredModelRanges(IRegion modelRange)`
Returns the maximal subranges of the given model range thus that there is no offset inside a subrange for which there is no image offset.
`static IRegion[]`
JFaceTextUtil.`getCoveredRanges(ITextViewer viewer, ITextSelection selection)`
Returns the text regions covered by the given selection in the given viewer.
`IRegion[]`
IDocumentInformationMappingExtension.`getExactCoverage(IRegion originRegion)`
Returns the maximal sub-regions of the given origin region which are completely covered.
`IRegion`
TextPresentation.`getExtent()`
Returns the extent of this presentation clipped by the presentation's result window.
`protected final IRegion`
TextViewer.`getExtent(int start, int end)`
Returns the region covered by the given start and end offset.
`IRegion`
DefaultTextHover.`getHoverRegion(ITextViewer textViewer, int offset)`
`IRegion`
ITextHover.`getHoverRegion(ITextViewer textViewer, int offset)`
Returns the text region which should serve as the source of information to compute the hover popup display information.
`IRegion`
AbstractDocument.`getLineInformation(int line)`
`IRegion`
AbstractLineTracker.`getLineInformation(int line)`
`IRegion`
IDocument.`getLineInformation(int line)`
Returns a description of the specified line.
`IRegion`
ILineTracker.`getLineInformation(int line)`
Returns a line description of the given line.
`IRegion`
AbstractDocument.`getLineInformationOfOffset(int offset)`
`IRegion`
AbstractLineTracker.`getLineInformationOfOffset(int offset)`
`IRegion`
IDocument.`getLineInformationOfOffset(int offset)`
Returns a description of the line at the given offset.
`IRegion`
ILineTracker.`getLineInformationOfOffset(int offset)`
Returns a line description of the line at the given offset.
`IRegion`
ITextViewerExtension3.`getModelCoverage()`
Deprecated.
Returns the minimal region of the viewer's document that completely comprises everything that is visible in the viewer's widget or `null` if there is no such region.
`IRegion`
ITextViewerExtension5.`getModelCoverage()`
Returns the minimal region of the viewer's input document that completely comprises everything that is visible in the viewer's widget or `null` if there is no such region.
`IRegion`
TextViewer.`getModelCoverage()`
Implements the contract of `ITextViewerExtension5.getModelCoverage()`.
`IRegion[]`
BlockTextSelection.`getRegions()`
`IRegion[]`
IBlockTextSelection.`getRegions()`
Returns a non-empty array containing the selected text range for each line covered by the selection.
`IRegion[]`
IMultiTextSelection.`getRegions()`
Returns a non-empty array containing the selected text range for each line covered by the selection.
`IRegion[]`
MultiTextSelection.`getRegions()`
`IRegion[]`
TextSelection.`getRegions()`
`IRegion`
IFindReplaceTargetExtension.`getScope()`
Returns the find scope of the target, `null` for global scope.
`IRegion`
ITextViewer.`getVisibleRegion()`
Returns the current visible region of this viewer's document.
`IRegion`
TextViewer.`getVisibleRegion()`
`protected IRegion`
TextViewer.`modelRange2ClosestWidgetRange(IRegion modelRange)`
Similar to `TextViewer.modelRange2WidgetRange(IRegion)`, but more forgiving: if `modelRange` describes a region entirely hidden in the image, then this method returns the zero-length region at the offset of the folded region.
`IRegion`
ITextViewerExtension3.`modelRange2WidgetRange(IRegion modelRange)`
Deprecated.
Returns the minimal region of the viewer's widget that completely comprises the given region of the viewer's document or `null` if there is no such region.
`IRegion`
ITextViewerExtension5.`modelRange2WidgetRange(IRegion modelRange)`
Returns the minimal region of the viewer's widget that completely comprises the given region of the viewer's input document or `null` if there is no such region.
`IRegion`
TextViewer.`modelRange2WidgetRange(IRegion modelRange)`
Implements the contract of `ITextViewerExtension5.modelRange2WidgetRange(IRegion)`.
`protected IRegion`
TextViewer.`modelRange2WidgetRange(Position modelPosition)`
Same as `TextViewer.modelRange2WidgetRange(IRegion)` just for a `Position`.
`IRegion`
FindReplaceDocumentAdapter.`replace(String text, boolean regExReplace)`
Substitutes the previous match with the given text.
`IRegion`
IDocumentInformationMappingExtension2.`toClosestImageRegion(IRegion originRegion)`
Returns the minimal region of the image document that completely comprises the given region of the original document.
`IRegion`
IDocumentInformationMappingExtension.`toExactImageRegion(IRegion originRegion)`
Adheres to `originRegion=toOriginRegion(toExactImageRegion(originRegion))`, if `toExactImageRegion(originRegion) !`
`IRegion[]`
IDocumentInformationMappingExtension.`toExactImageRegions(IRegion originRegion)`
Returns the segments of the image document that exactly correspond to the given region of the original document.
`IRegion[]`
IDocumentInformationMappingExtension.`toExactOriginRegions(IRegion imageRegion)`
Returns the fragments of the original document that exactly correspond to the given region of the image document.
`IRegion`
IDocumentInformationMapping.`toImageRegion(IRegion originRegion)`
Returns the minimal region of the image document that completely comprises the given region of the original document or `null` if there is no such region.
`IRegion`
IDocumentInformationMapping.`toOriginLines(int imageLine)`
Returns the range of lines of the original document that corresponds to the given line of the image document or `null` if there are no such lines.
`IRegion`
IDocumentInformationMapping.`toOriginRegion(IRegion imageRegion)`
Returns the minimal region of the original document that completely comprises the given region of the image document or `null` if there is no such region.
`IRegion`
ITextViewerExtension3.`widgetRange2ModelRange(IRegion widgetRange)`
Deprecated.
Returns the minimal region of the viewer's document that completely comprises the given widget region or `null` if there is no such region.
`IRegion`
ITextViewerExtension5.`widgetRange2ModelRange(IRegion widgetRange)`
Returns the minimal region of the viewer's input document that completely comprises the given widget region or `null` if there is no such region.
`IRegion`
TextViewer.`widgetRange2ModelRange(IRegion widgetRange)`
Implements the contract of `ITextViewerExtension5.widgetRange2ModelRange(IRegion)`.
Methods in org.eclipse.jface.text with parameters of type IRegion
Modifier and Type
Method
Description
`static Rectangle`
JFaceTextUtil.`computeArea(IRegion region, ITextViewer textViewer)`
Determines the graphical area covered by the given text region in the given viewer.
`void`
IDocumentPartitioningListenerExtension.`documentPartitioningChanged(IDocument document, IRegion region)`
The partitioning of the given document changed in the given region.
`protected void`
AbstractDocument.`doFireDocumentChanged(DocumentEvent event, boolean firePartitionChange, IRegion partitionChange)`
Deprecated.
as of 3.0.
`boolean`
ITextViewerExtension5.`exposeModelRange(IRegion modelRange)`
Exposes the given model range.
`protected void`
AbstractDocument.`fireDocumentPartitioningChanged(IRegion region)`
Deprecated.
as of 3.0.
`IRegion[]`
ITextViewerExtension5.`getCoveredModelRanges(IRegion modelRange)`
Returns the maximal subranges of the given model range thus that there is no offset inside a subrange for which there is no image offset.
`IRegion[]`
IDocumentInformationMappingExtension.`getExactCoverage(IRegion originRegion)`
Returns the maximal sub-regions of the given origin region which are completely covered.
`String`
DefaultTextHover.`getHoverInfo(ITextViewer textViewer, IRegion hoverRegion)`
Deprecated.
As of 3.4, replaced by `ITextHoverExtension2.getHoverInfo2(ITextViewer, IRegion)`
`String`
ITextHover.`getHoverInfo(ITextViewer textViewer, IRegion hoverRegion)`
Deprecated.
As of 3.4, replaced by `ITextHoverExtension2.getHoverInfo2(ITextViewer, IRegion)`
`Object`
ITextHoverExtension2.`getHoverInfo2(ITextViewer textViewer, IRegion hoverRegion)`
Returns the information which should be presented when a hover popup is shown for the specified hover region.
`boolean`
IEditingSupport.`isOriginator(DocumentEvent event, IRegion subjectRegion)`
Returns `true` if the receiver is the originator of a `DocumentEvent` and if that `event` is related to `subjectRegion`.
`protected IRegion`
TextViewer.`modelRange2ClosestWidgetRange(IRegion modelRange)`
Similar to `TextViewer.modelRange2WidgetRange(IRegion)`, but more forgiving: if `modelRange` describes a region entirely hidden in the image, then this method returns the zero-length region at the offset of the folded region.
`IRegion`
ITextViewerExtension3.`modelRange2WidgetRange(IRegion modelRange)`
Deprecated.
Returns the minimal region of the viewer's widget that completely comprises the given region of the viewer's document or `null` if there is no such region.
`IRegion`
ITextViewerExtension5.`modelRange2WidgetRange(IRegion modelRange)`
Returns the minimal region of the viewer's widget that completely comprises the given region of the viewer's input document or `null` if there is no such region.
`IRegion`
TextViewer.`modelRange2WidgetRange(IRegion modelRange)`
Implements the contract of `ITextViewerExtension5.modelRange2WidgetRange(IRegion)`.
`static boolean`
TextUtilities.`overlaps(IRegion left, IRegion right)`
Returns `true` if the two regions overlap.
`void`
TextPresentation.`setResultWindow(IRegion resultWindow)`
Sets the result window for this presentation.
`void`
IFindReplaceTargetExtension.`setScope(IRegion scope)`
Sets the find scope of the target to operate on.
`void`
IFindReplaceTargetExtension4.`setSelection(IRegion[] ranges)`
`IRegion`
IDocumentInformationMappingExtension2.`toClosestImageRegion(IRegion originRegion)`
Returns the minimal region of the image document that completely comprises the given region of the original document.
`IRegion`
IDocumentInformationMappingExtension.`toExactImageRegion(IRegion originRegion)`
Adheres to `originRegion=toOriginRegion(toExactImageRegion(originRegion))`, if `toExactImageRegion(originRegion) !`
`IRegion[]`
IDocumentInformationMappingExtension.`toExactImageRegions(IRegion originRegion)`
Returns the segments of the image document that exactly correspond to the given region of the original document.
`IRegion[]`
IDocumentInformationMappingExtension.`toExactOriginRegions(IRegion imageRegion)`
Returns the fragments of the original document that exactly correspond to the given region of the image document.
`IRegion`
IDocumentInformationMapping.`toImageRegion(IRegion originRegion)`
Returns the minimal region of the image document that completely comprises the given region of the original document or `null` if there is no such region.
`IRegion`
IDocumentInformationMapping.`toOriginRegion(IRegion imageRegion)`
Returns the minimal region of the original document that completely comprises the given region of the image document or `null` if there is no such region.
`IRegion`
ITextViewerExtension3.`widgetRange2ModelRange(IRegion widgetRange)`
Deprecated.
Returns the minimal region of the viewer's document that completely comprises the given widget region or `null` if there is no such region.
`IRegion`
ITextViewerExtension5.`widgetRange2ModelRange(IRegion widgetRange)`
Returns the minimal region of the viewer's input document that completely comprises the given widget region or `null` if there is no such region.
`IRegion`
TextViewer.`widgetRange2ModelRange(IRegion widgetRange)`
Implements the contract of `ITextViewerExtension5.widgetRange2ModelRange(IRegion)`.
Constructors in org.eclipse.jface.text with parameters of type IRegion
Modifier
Constructor
Description
``
`MultiTextSelection(IDocument document, IRegion[] regions)`
``
`TextPresentation(IRegion extent, int sizeHint)`
Creates a new empty text presentation with the given extent.

## Uses of IRegion in org.eclipse.jface.text.formatter

Methods in org.eclipse.jface.text.formatter with parameters of type IRegion
Modifier and Type
Method
Description
`void`
ContentFormatter.`format(IDocument document, IRegion region)`
`void`
IContentFormatter.`format(IDocument document, IRegion region)`
Formats the given region of the specified document.The formatter may safely assume that it is the only subject that modifies the document at this point in time.
`final void`
MultiPassContentFormatter.`format(IDocument medium, IRegion region)`

## Uses of IRegion in org.eclipse.jface.text.hyperlink

Methods in org.eclipse.jface.text.hyperlink that return IRegion
Modifier and Type
Method
Description
`IRegion`
IHyperlink.`getHyperlinkRegion()`
The region covered by this type of hyperlink.
`IRegion`
URLHyperlink.`getHyperlinkRegion()`
Methods in org.eclipse.jface.text.hyperlink with parameters of type IRegion
Modifier and Type
Method
Description
`IHyperlink[]`
IHyperlinkDetector.`detectHyperlinks(ITextViewer textViewer, IRegion region, boolean canShowMultipleHyperlinks)`
Tries to detect hyperlinks for the given region in the given text viewer and returns them.
`IHyperlink[]`
URLHyperlinkDetector.`detectHyperlinks(ITextViewer textViewer, IRegion region, boolean canShowMultipleHyperlinks)`
Constructors in org.eclipse.jface.text.hyperlink with parameters of type IRegion
Modifier
Constructor
Description
``
`URLHyperlink(IRegion region, String urlString)`
Creates a new URL hyperlink.

## Uses of IRegion in org.eclipse.jface.text.information

Methods in org.eclipse.jface.text.information that return IRegion
Modifier and Type
Method
Description
`IRegion`
IInformationProvider.`getSubject(ITextViewer textViewer, int offset)`
Returns the region of the text viewer's document close to the given offset that contains a subject about which information can be provided.
Methods in org.eclipse.jface.text.information with parameters of type IRegion
Modifier and Type
Method
Description
`String`
IInformationProvider.`getInformation(ITextViewer textViewer, IRegion subject)`
Deprecated.
As of 2.1, replaced by `IInformationProviderExtension.getInformation2(ITextViewer, IRegion)`
`Object`
IInformationProviderExtension.`getInformation2(ITextViewer textViewer, IRegion subject)`
Returns the element for the given subject or `null` if no element is available.

## Uses of IRegion in org.eclipse.jface.text.link

Methods in org.eclipse.jface.text.link that return IRegion
Modifier and Type
Method
Description
`IRegion`
LinkedModeUI.`getSelectedRegion()`
Returns the currently selected region or `null`.

## Uses of IRegion in org.eclipse.jface.text.presentation

Methods in org.eclipse.jface.text.presentation that return IRegion
Modifier and Type
Method
Description
`IRegion`
IPresentationDamager.`getDamageRegion(ITypedRegion partition, DocumentEvent event, boolean documentPartitioningChanged)`
Returns the damage in the document's presentation caused by the given document change.
Methods in org.eclipse.jface.text.presentation with parameters of type IRegion
Modifier and Type
Method
Description
`protected TextPresentation`
PresentationReconciler.`createPresentation(IRegion damage, IDocument document)`
Constructs a "repair description" for the given damage and returns this description as a text presentation.

## Uses of IRegion in org.eclipse.jface.text.projection

Methods in org.eclipse.jface.text.projection that return IRegion
Modifier and Type
Method
Description
`final IRegion[]`
ProjectionDocument.`computeProjectedMasterRegions(int offsetInMaster, int lengthInMaster)`
Returns the sequence of all master document regions with are contained in the given master document range and which are part of this projection document.
`final IRegion[]`
ProjectionDocument.`computeUnprojectedMasterRegions(int offsetInMaster, int lengthInMaster)`
Returns the sequence of all master document regions which are contained in the given master document range and which are not yet part of this projection document.
`IRegion`
ProjectionMapping.`getCoverage()`
`IRegion[]`
ProjectionMapping.`getExactCoverage(IRegion originRegion)`
`IRegion`
ProjectionMapping.`toClosestImageRegion(IRegion originRegion)`
`IRegion`
ProjectionMapping.`toExactImageRegion(IRegion originRegion)`
`IRegion[]`
ProjectionMapping.`toExactImageRegions(IRegion originRegion)`
`IRegion[]`
ProjectionMapping.`toExactOriginRegions(IRegion imageRegion)`
`IRegion`
ProjectionMapping.`toImageRegion(IRegion originRegion)`
`IRegion`
ProjectionMapping.`toOriginLines(int imageLine)`
`IRegion`
ProjectionMapping.`toOriginRegion(IRegion imageRegion)`
Methods in org.eclipse.jface.text.projection with parameters of type IRegion
Modifier and Type
Method
Description
`IRegion[]`
ProjectionMapping.`getExactCoverage(IRegion originRegion)`
`IRegion`
ProjectionMapping.`toClosestImageRegion(IRegion originRegion)`
`IRegion`
ProjectionMapping.`toExactImageRegion(IRegion originRegion)`
`IRegion[]`
ProjectionMapping.`toExactImageRegions(IRegion originRegion)`
`IRegion[]`
ProjectionMapping.`toExactOriginRegions(IRegion imageRegion)`
`IRegion`
ProjectionMapping.`toImageRegion(IRegion originRegion)`
`IRegion`
ProjectionMapping.`toOriginRegion(IRegion imageRegion)`

## Uses of IRegion in org.eclipse.jface.text.reconciler

Classes in org.eclipse.jface.text.reconciler that implement IRegion
Modifier and Type
Class
Description
`class`
`DirtyRegion`
A dirty region describes a document range which has been changed.
Methods in org.eclipse.jface.text.reconciler with parameters of type IRegion
Modifier and Type
Method
Description
`final IReconcileResult[]`
AbstractReconcileStep.`reconcile(IRegion partition)`
`final IReconcileResult[]`
AbstractReconcileStep.`reconcile(DirtyRegion dirtyRegion, IRegion subRegion)`
`IReconcileResult[]`
IReconcileStep.`reconcile(IRegion partition)`
Activates non-incremental reconciling.
`IReconcileResult[]`
IReconcileStep.`reconcile(DirtyRegion dirtyRegion, IRegion subRegion)`
Activates incremental reconciling of the specified dirty region.
`void`
IReconcilingStrategy.`reconcile(IRegion partition)`
Activates non-incremental reconciling.
`void`
IReconcilingStrategy.`reconcile(DirtyRegion dirtyRegion, IRegion subRegion)`
Activates incremental reconciling of the specified dirty region.
`protected abstract IReconcileResult[]`
AbstractReconcileStep.`reconcileModel(DirtyRegion dirtyRegion, IRegion subRegion)`
Reconciles the model of this reconcile step.

## Uses of IRegion in org.eclipse.jface.text.rules

Methods in org.eclipse.jface.text.rules that return IRegion
Modifier and Type
Method
Description
`IRegion`
DefaultPartitioner.`documentChanged2(DocumentEvent e)`
Deprecated, for removal: This API element is subject to removal in a future version.
`IRegion`
FastPartitioner.`documentChanged2(DocumentEvent e)`
The document has been changed.
`IRegion`
RuleBasedPartitioner.`documentChanged2(DocumentEvent e)`
Deprecated.
`IRegion`
DefaultDamagerRepairer.`getDamageRegion(ITypedRegion partition, DocumentEvent e, boolean documentPartitioningChanged)`
Returns the damage in the document's presentation caused by the given document change.

## Uses of IRegion in org.eclipse.jface.text.source

Methods in org.eclipse.jface.text.source that return IRegion
Modifier and Type
Method
Description
`IRegion`
DefaultCharacterPairMatcher.`findEnclosingPeerCharacters(IDocument document, int offset, int length)`
`IRegion`
ICharacterPairMatcherExtension.`findEnclosingPeerCharacters(IDocument document, int offset, int length)`
Starting at the given selection, the matcher searches for a pair of enclosing peer characters and if it finds one, returns the minimal region of the document that contains the pair.
`IRegion`
ISourceViewer.`getRangeIndication()`
Returns the viewer's range indication.
`IRegion`
SourceViewer.`getRangeIndication()`
`IRegion`
DefaultCharacterPairMatcher.`match(IDocument doc, int offset)`
`IRegion`
DefaultCharacterPairMatcher.`match(IDocument document, int offset, int length)`
`IRegion`
ICharacterPairMatcher.`match(IDocument document, int offset)`
Starting at the given offset, the matcher chooses a character close to this offset.
`IRegion`
ICharacterPairMatcherExtension.`match(IDocument document, int offset, int length)`
Starting at the given offset (i.e. length 0) or the selected character, the matcher searches for the matching peer character and if it finds one, returns the minimal region of the document that contains both characters.
Methods in org.eclipse.jface.text.source with parameters of type IRegion
Modifier and Type
Method
Description
`boolean`
DefaultCharacterPairMatcher.`isRecomputationOfEnclosingPairRequired(IDocument document, IRegion currentSelection, IRegion previousSelection)`
`boolean`
ICharacterPairMatcherExtension.`isRecomputationOfEnclosingPairRequired(IDocument document, IRegion currentSelection, IRegion previousSelection)`
Computes whether a client needs to recompute the enclosing pair after a selection change in the document.

## Uses of IRegion in org.eclipse.jface.text.source.projection

Methods in org.eclipse.jface.text.source.projection that return IRegion
Modifier and Type
Method
Description
`IRegion`
ProjectionViewer.`computeCollapsedRegion(Position position)`
Computes the region that must be collapsed when the given position is the position of an expanded projection annotation.
`IRegion[]`
IProjectionPosition.`computeProjectionRegions(IDocument document)`
Returns an array of regions that should be collapsed when the annotation belonging to this position is collapsed.
`IRegion[]`
ProjectionViewer.`getCoveredModelRanges(IRegion modelRange)`
`IRegion`
ProjectionViewer.`getVisibleRegion()`
Methods in org.eclipse.jface.text.source.projection with parameters of type IRegion
Modifier and Type
Method
Description
`boolean`
ProjectionViewer.`exposeModelRange(IRegion modelRange)`
`IRegion[]`
ProjectionViewer.`getCoveredModelRanges(IRegion modelRange)`

## Uses of IRegion in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates with parameters of type IRegion
Modifier and Type
Method
Description
`protected TemplateContext`
TemplateCompletionProcessor.`createContext(ITextViewer viewer, IRegion region)`
Creates a concrete template context for the given region in the document.
`protected ICompletionProposal`
TemplateCompletionProcessor.`createProposal(Template template, TemplateContext context, IRegion region, int relevance)`
Creates a new proposal.
`protected abstract TemplateContextType`
TemplateCompletionProcessor.`getContextType(ITextViewer viewer, IRegion region)`
Returns the context type that can handle template insertion at the given region in the viewer's document.
Constructors in org.eclipse.jface.text.templates with parameters of type IRegion
Modifier
Constructor
Description
``
`TemplateProposal(Template template, TemplateContext context, IRegion region, Image image)`
Creates a template proposal with a template and its context.
``
`TemplateProposal(Template template, TemplateContext context, IRegion region, Image image, int relevance)`
Creates a template proposal with a template and its context.

## Uses of IRegion in org.eclipse.ltk.core.refactoring

Methods in org.eclipse.ltk.core.refactoring that return IRegion
Modifier and Type
Method
Description
`IRegion`
TextEditBasedChangeGroup.`getRegion()`
Returns the region covered by the underlying text edit group.
`IRegion`
FileStatusContext.`getTextRegion()`
Returns the context's source region
Methods in org.eclipse.ltk.core.refactoring with parameters of type IRegion
Modifier and Type
Method
Description
`final String`
MultiStateTextFileChange.`getCurrentContent(IRegion region, boolean expand, int surround, IProgressMonitor monitor)`
`String`
TextChange.`getCurrentContent(IRegion region, boolean expandRegionToFullLine, int surroundingLines, IProgressMonitor pm)`
`abstract String`
TextEditBasedChange.`getCurrentContent(IRegion region, boolean expandRegionToFullLine, int surroundingLines, IProgressMonitor pm)`
Returns the current content of the text edit change clipped to a specific region.
`final String`
MultiStateTextFileChange.`getPreviewContent(TextEditBasedChangeGroup[] groups, IRegion region, boolean expand, int surround, IProgressMonitor monitor)`
`String`
TextChange.`getPreviewContent(TextEditBasedChangeGroup[] changeGroups, IRegion region, boolean expandRegionToFullLine, int surroundingLines, IProgressMonitor pm)`
Returns a preview of the text change clipped to a specific region.
`String`
TextChange.`getPreviewContent(TextEditChangeGroup[] changeGroups, IRegion region, boolean expandRegionToFullLine, int surroundingLines, IProgressMonitor pm)`
Returns a preview of the text change clipped to a specific region.
`abstract String`
TextEditBasedChange.`getPreviewContent(TextEditBasedChangeGroup[] changeGroups, IRegion region, boolean expandRegionToFullLine, int surroundingLines, IProgressMonitor pm)`
Returns a preview of the text edit change clipped to a specific region.
Constructors in org.eclipse.ltk.core.refactoring with parameters of type IRegion
Modifier
Constructor
Description
``
`FileStatusContext(IFile file, IRegion region)`
Creates an status entry context for the given file and source region.

## Uses of IRegion in org.eclipse.ltk.ui.refactoring

Methods in org.eclipse.ltk.ui.refactoring that return IRegion
Modifier and Type
Method
Description
`abstract IRegion`
LanguageElementNode.`getTextRange()`
Returns the text region the of this language element node.
Methods in org.eclipse.ltk.ui.refactoring with parameters of type IRegion
Modifier and Type
Method
Description
`protected void`
TextStatusContextViewer.`setInput(IDocument document, IRegion region)`
Sets the input of the source viewer to the given document and reveals the region determined by the given parameter region.

## Uses of IRegion in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return IRegion
Modifier and Type
Method
Description
`IRegion`
AbstractTextSearchViewPage.`getCurrentMatchLocation(Match match)`
Returns the current location of the match.

## Uses of IRegion in org.eclipse.text.edits

Methods in org.eclipse.text.edits that return IRegion
Modifier and Type
Method
Description
`static IRegion`
TextEdit.`getCoverage(TextEdit[] edits)`
Returns the text range spawned by the given array of text edits.
`final IRegion`
TextEdit.`getRegion()`
Returns the range that this edit is manipulating.
`IRegion`
TextEditGroup.`getRegion()`
Returns the text region covered by the edits managed via this edit group.
`static IRegion`
MoveSourceEdit.`intersect(TextEdit op1, TextEdit op2)`

## Uses of IRegion in org.eclipse.ui.console

Methods in org.eclipse.ui.console that return IRegion
Modifier and Type
Method
Description
`IRegion`
TextConsole.`getRegion(IHyperlink link)`
Returns the region associated with the given hyperlink.

## Uses of IRegion in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IRegion
Modifier and Type
Method
Description
`protected static final IRegion`
AbstractTextEditor.`getCoverage(ISourceViewer viewer)`
Returns the minimal region of the given source viewer's document that completely comprises everything that is visible in the viewer's widget.
`IRegion`
AbstractTextEditor.`getHighlightRange()`
`IRegion`
ITextEditor.`getHighlightRange()`
Returns the highlighted range of this text editor.

## Uses of IRegion in org.eclipse.ui.texteditor.spelling

Methods in org.eclipse.ui.texteditor.spelling with parameters of type IRegion
Modifier and Type
Method
Description
`void`
ISpellingEngine.`check(IDocument document, IRegion[] regions, SpellingContext context, ISpellingProblemCollector collector, IProgressMonitor monitor)`
Checks the given regions in the given document.
`void`
SpellingService.`check(IDocument document, IRegion[] regions, SpellingContext context, ISpellingProblemCollector collector, IProgressMonitor monitor)`
Checks the given regions in the given document.
`void`
SpellingReconcileStrategy.`reconcile(IRegion region)`
`void`
SpellingReconcileStrategy.`reconcile(DirtyRegion dirtyRegion, IRegion subRegion)`